> This page is for Data API, version v1.
> For other versions, use one of these documentation indexes:
> - v2 (default): https://developers.webflow.com/data/v2.0.0/llms.txt
> - v2 Beta: https://developers.webflow.com/data/v2.0.0-beta/llms.txt
> - v1: https://developers.webflow.com/data/v1.0.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.webflow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.webflow.com/_mcp/server.

# List Products & SKUs

GET https://api.webflow.com/sites/{site_id}/products

Retrieve all products for a site. Use `limit` and `offset` to page through all products with subsequent requests. All SKUs for each product will also be fetched and returned. The `count`, `limit` and `offset` and `total` values represent Products only and do not include any SKUs.


Reference: https://developers.webflow.com/data/v1.0.0/reference/ecommerce/products-sk-us/list-products

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `site_id` (string, required) — Unique identifier for a Site

### Query parameters

- `offset` (integer, optional) — Offset used for pagination if the results have more than limit records
- `limit` (integer, optional) — Maximum number of records to be returned (max limit: 100)

### Headers

- `Accept-Version` (string, optional) — The API version

## Response

### 200

Request was successful

- `items` (list of Product, optional) — List of Item objects within the Collection. Contains product and skus keys
- `count` (integer, optional) — Number of items returned
- `limit` (integer, optional, default: 100) — The limit specified in the request
- `offset` (integer, optional, default: 0) — The offset specified for pagination
- `total` (integer, optional) — Total number of items in the collection

## Errors

### 400 Bad Request Error

Request body was incorrectly formatted. Likely invalid JSON being sent up.

- `any`

### 401 Unauthorized Error

Provided access token is invalid or does not have access to requested resource

- `any`

### 404 Not Found Error

Requested resource not found

- `any`

### 429 Too Many Requests Error

The rate limit of the provided access_token has been reached. Please have your application respect the X-RateLimit-Remaining header we include on API responses.

- `any`

### 500 Internal Server Error

We had a problem with our server. Try again later.

- `any`

## Types

### Product

The Product object

- `_id` (string, required) — Unique identifier for collection
- `lastUpdated` (string, optional) — The date the collection was last updated
- `createdOn` (string, optional) — The date the collection was create
- `name` (string, optional) — Name given to Collection
- `slug` (string, optional) — Slug of Collection in Site URL structure
- `singularName` (string, optional) — The name of one Item in Collection (e.g. “product” if the Collection is called “Product”)
- `fields` (ProductField, optional) — Fields in your product object

### ProductField

Fields in your product object

- `slug` (string, required, default: product-name) — Slug of the item
- `name` (string, required, default: Product Name) — item name
- `_archived` (boolean, required, default: false) — item archive status
- `_draft` (boolean, required, default: false) — item draft status
- `id` (string, optional) — Unique identifier for the item
- `sku-properties` (list of SKUProperty, optional) — Variant/Options types to include in SKUs

### SKUProperty

A variant/optiontype for a SKU

- `id` (string, optional) — Unique identifier for a collection of product options/variants
- `name` (string, optional) — Nme of the collection of product options/variants
- `enum` (list of SKUEnum, optional) — The individual options/varaiants that are contained within the collection

### SKUEnum

Enumerated variant/option of a SKU

- `id` (string, optional) — Unique identifier for a product variant/option
- `name` (string, optional) — Name of the option/variant
- `slug` (string, optional) — slug of option/variant in Site URL structure

## Examples

**Response**

```json
{
  "items": [
    {
      "_id": "580e63fc8c9a982ac9b8b745",
      "product": {
        "shippable": true,
        "_archived": false,
        "_draft": false,
        "name": "Cloak Of Invisibility",
        "ec-product-type": "ff42fee0113744f693a764e3431a9cc2",
        "sku-properties": [
          {
            "id": "a37a7991f7ca1be0d349a805a2bddb5b",
            "name": "Color",
            "enum": [
              {
                "id": "a9506da8e70a8b087f35a4094ec34a53",
                "name": "Obsidian Black",
                "slug": "obsidian-black"
              },
              {
                "id": "c92a465a1298c95fd1cd7f4c1c96c2ba",
                "name": "Smoke Grey",
                "slug": "smoke-grey"
              },
              {
                "id": "ef9511c0b56cc11ff47c5669f65030b4",
                "name": "Forest Green",
                "slug": "forest-green"
              }
            ]
          }
        ],
        "description": "A cloak that renders the wearer invisible to the eye.",
        "slug": "cloak-of-invisibility-1",
        "updated-on": "2020-04-01T22:40:19.329Z",
        "updated-by": "Person_5d8fcb6d94dd1853060fb3b3",
        "created-on": "2020-04-01T22:40:17.602Z",
        "created-by": "Person_5d8fcb6d94dd1853060fb3b3",
        "published-on": null,
        "published-by": null,
        "default-sku": "5e8518536e147040726cc416",
        "_cid": "5dd44c493543b37d5449b3a5",
        "_id": "5e8518516e147040726cc415"
      },
      "skus": [
        {
          "price": {
            "unit": "USD",
            "value": 120000
          },
          "_archived": false,
          "_draft": false,
          "sku-values": {},
          "width": 56,
          "length": 0.3,
          "height": 72,
          "weight": 24,
          "name": "Cloak Of Invisibility Color: Obsidian Black",
          "main-image": {
            "fileId": "5e85161dabd9ea4072cf1414",
            "url": "https://dev-assets.website-files.com/5d93ba5e38c6b0160ab711d6/5e85161dabd9ea4072cf1414_5e8512181ae993035b15f315_external-content.duckduckgo.com.jpeg",
            "alt": null
          },
          "more-images": [
            {
              "fileId": "5e85161dabd9ea4072cf1414",
              "url": "https://dev-assets.website-files.com/5d93ba5e38c6b0160ab711d6/5e85161dabd9ea4072cf1414_5e8512181ae993035b15f315_external-content.duckduckgo.com.jpeg",
              "alt": null
            },
            {
              "fileId": "5e85161dabd9ea4072cf1414",
              "url": "https://dev-assets.website-files.com/5d93ba5e38c6b0160ab711d6/5e85161dabd9ea4072cf1414_5e8512181ae993035b15f315_external-content.duckduckgo.com.jpeg",
              "alt": null
            }
          ],
          "download-files": [
            {
              "id": "5ebb1676c3244c2c6ae18814",
              "name": "The modern web design process - Webflow Ebook.pdf",
              "url": "https://dropbox.com/files/modern-web-design-process.pdf"
            }
          ],
          "slug": "cloak-of-invisibility-color-obsidian-black-7",
          "product": "5e8518516e147040726cc415",
          "updated-on": "2020-04-01T22:40:19.287Z",
          "updated-by": "Person_5d8fcb6d94dd1853060fb3b3",
          "created-on": "2020-04-01T22:40:19.287Z",
          "created-by": "Person_5d8fcb6d94dd1853060fb3b3",
          "published-on": null,
          "published-by": null,
          "_cid": "5dd44c493543b37d5449b383",
          "_id": "5e8518536e147040726cc416"
        }
      ]
    }
  ],
  "count": 1,
  "limit": 100,
  "offset": 0,
  "total": 12
}
```

**SDK Code**

```python Products & SKUs_list-products_example
import requests

url = "https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products"

querystring = {"offset":"0","limit":"100"}

headers = {
    "Accept-Version": "1.0.0",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Products & SKUs_list-products_example
const url = 'https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products?offset=0&limit=100';
const options = {
  method: 'GET',
  headers: {'Accept-Version': '1.0.0', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Products & SKUs_list-products_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products?offset=0&limit=100"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept-Version", "1.0.0")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Products & SKUs_list-products_example
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products?offset=0&limit=100")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept-Version"] = '1.0.0'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Products & SKUs_list-products_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products?offset=0&limit=100")
  .header("Accept-Version", "1.0.0")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Products & SKUs_list-products_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products?offset=0&limit=100', [
  'headers' => [
    'Accept-Version' => '1.0.0',
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Products & SKUs_list-products_example
using RestSharp;

var client = new RestClient("https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products?offset=0&limit=100");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept-Version", "1.0.0");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Products & SKUs_list-products_example
import Foundation

let headers = [
  "Accept-Version": "1.0.0",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products?offset=0&limit=100")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```